package de.ugoe.cs.autoquest.plugin.usability2.rules.operator.filter;

import de.ugoe.cs.autoquest.plugin.usability2.rules.operator.IFilter;
import de.ugoe.cs.autoquest.plugin.usability2.rules.results.DefaultMatch;
import de.ugoe.cs.autoquest.plugin.usability2.rules.results.IMatch;
import de.ugoe.cs.autoquest.plugin.usability2.rules.results.IResult;
import de.ugoe.cs.autoquest.plugin.usability2.rules.results.SingleMatchResult;
import de.ugoe.cs.autoquest.tasktrees.treeifc.ITask;

public class AnyFilter implements IFilter {

    public static final AnyFilter ANY = new AnyFilter();
    
    private AnyFilter() {
    }
    
    @Override
    public IResult match(ITask task) {
        IMatch result = new DefaultMatch(task);
        return new SingleMatchResult(result);
    }

}
